"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f5000>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f5090>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f5120>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f51b0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f5240>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f52d0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f5360>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f53f0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f5480>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f5510>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f55a0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f5630>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f56c0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f5750>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f57e0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f5870>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f5900>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f5990>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f5a20>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f5ab0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f5b40>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f5bd0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f5c60>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f5cf0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f5e10>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f5d80>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f5ea0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f5f30>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f5fc0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f6050>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f60e0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f6170>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f6200>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f6290>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f6320>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f63b0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f6440>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f64d0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f6560>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f65f0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f6680>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f6710>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f67a0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f6830>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f68c0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f6950>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f69e0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f6a70>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f6b00>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f6b90>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f6c20>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f6cb0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f6d40>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f6dd0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f6e60>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f6ef0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f6f80>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f7010>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f70a0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f7130>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f71c0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f7250>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f72e0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f7370>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f7400>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f7490>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f7640>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f7520>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f76d0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f7760>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f77f0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f7880>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f7910>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f7a30>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f79a0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f7ac0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f7b50>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f7be0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f7d00>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f7c70>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f7d90>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f7e20>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f7eb0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10b4f7f40>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10b510040>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10b5100d0>)]
name: str = 'fr_HOCCN'
